# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [1.4.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/compare/v1.4.0...v1.4.1) (2024-09-09)

## [1.4.0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/compare/v1.1.0...v1.4.0) (2024-09-09)


### Features

* added password reset button ([e851c44](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/e851c44f218958c005ed464c3d58d99283d9d525))
* mes lite branding ([bd3d03c](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/bd3d03c8a14a94a18fd5519f35b92814ae95a16c))

### [1.3.1](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/compare/v1.3.0...v1.3.1) (2024-07-23)

## [1.3.0](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/compare/v1.2.0...v1.3.0) (2024-07-23)


### Features

* added password reset button ([e851c44](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/commit/e851c44f218958c005ed464c3d58d99283d9d525))

## [1.2.0](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/compare/v1.0.2-pre.3...v1.2.0) (2024-06-14)


### Features

* mes lite branding ([bd3d03c](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/commit/bd3d03c8a14a94a18fd5519f35b92814ae95a16c))
* return dcs_model as well in the ping ([0a6c556](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/commit/0a6c556e209feeeede2aa831039241b1440d8966))
* return same pay load as ping when doing force reset ([d205095](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/commit/d20509556496aad8fb26b77109cc2d3cd8000b13))

## [1.1.0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/compare/v1.1.0-pre.0...v1.1.0) (2024-01-11)


### Features

* return dcs_model as well in the ping ([0a6c556](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/0a6c556e209feeeede2aa831039241b1440d8966))
* return same pay load as ping when doing force reset ([d205095](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/d20509556496aad8fb26b77109cc2d3cd8000b13))


### Bug Fixes

* Could not load STI in prod, shortened index name, remove breaking require in initializer ([c0617c9](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/c0617c983ff000c3c75df021a87ea6fd667931dc))
* initializer for dcs2rest using column server_port instead of port ([4e1c14b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/4e1c14b3fbef16a86688b7824bb0b17a3467a80c))

### [1.0.2-pre.3](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/compare/v1.0.2-pre.2...v1.0.2-pre.3) (2023-11-28)


### Bug Fixes

* initializer for dcs2rest using column server_port instead of port ([4e1c14b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/commit/4e1c14b3fbef16a86688b7824bb0b17a3467a80c))

### [1.0.2-pre.2](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/compare/v1.0.2-pre.1...v1.0.2-pre.2) (2023-11-24)

### [1.0.2-pre.1](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/compare/v1.0.2-pre.0...v1.0.2-pre.1) (2023-11-24)

### [1.0.2-pre.0](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/compare/v1.0.0...v1.0.2-pre.0) (2023-11-24)


### Bug Fixes

* added .idea to gitignore ([d6d8e65](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/commit/d6d8e65b9642ff788dd4090cb0a6ceac006b8649))
* Could not load STI in prod, shortened index name, remove breaking require in initializer ([c0617c9](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/commit/c0617c983ff000c3c75df021a87ea6fd667931dc))

### 1.0.1 (2023-11-20)


### Features

* add caller source when responding to tag request ([5c602fd](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/5c602fdd38fdc6ca46b9ad45a17990700166b1e7))
* add caller source when responding to tag request ([f2995de](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/f2995dedd58f932a83390b548226cc60f6dbb8d4))
* add ping and force reset routes ([fc3955b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/fc3955b3e38042e9e0aee0b4dd875ee026c8b9d6))
* add ping and force reset routes ([6de1eb2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/6de1eb2ba8d7aa7e3c7784af33aacde742e0be3f))
* add retry count ([2fdc917](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/2fdc917e491616adc85b3e50d1cc207ff266e4e3))


### Bug Fixes

* added .idea to gitignore ([d6d8e65](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/d6d8e65b9642ff788dd4090cb0a6ceac006b8649))
* proper ensure connection is released on fail connection ([9f4b03b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/9f4b03ba14b46000cf0fdc093b471e8c6ca7118e))
* release dcs client on failed connection ([0d68f44](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/0d68f44a4529c2ab63847636a682a229f38b4f4f))

## 1.0.0 (2023-06-08)


### Features

* add caller source when responding to tag request ([5c602fd](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/5c602fdd38fdc6ca46b9ad45a17990700166b1e7))
* add caller source when responding to tag request ([f2995de](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/f2995dedd58f932a83390b548226cc60f6dbb8d4))
* add ping and force reset routes ([fc3955b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/fc3955b3e38042e9e0aee0b4dd875ee026c8b9d6))
* add ping and force reset routes ([6de1eb2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/6de1eb2ba8d7aa7e3c7784af33aacde742e0be3f))
* add retry count ([2fdc917](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/2fdc917e491616adc85b3e50d1cc207ff266e4e3))


### Bug Fixes

* added .idea to gitignore ([d6d8e65](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/d6d8e65b9642ff788dd4090cb0a6ceac006b8649))
* proper ensure connection is released on fail connection ([9f4b03b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/9f4b03ba14b46000cf0fdc093b471e8c6ca7118e))
* release dcs client on failed connection ([0d68f44](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/0d68f44a4529c2ab63847636a682a229f38b4f4f))

## 1.0.0 (2023-06-06)


### Features

* add caller source when responding to tag request ([5c602fd](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/5c602fdd38fdc6ca46b9ad45a17990700166b1e7))
* add caller source when responding to tag request ([f2995de](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/f2995dedd58f932a83390b548226cc60f6dbb8d4))
* add ping and force reset routes ([fc3955b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/fc3955b3e38042e9e0aee0b4dd875ee026c8b9d6))
* add ping and force reset routes ([6de1eb2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/6de1eb2ba8d7aa7e3c7784af33aacde742e0be3f))
* add retry count ([2fdc917](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/2fdc917e491616adc85b3e50d1cc207ff266e4e3))


### Bug Fixes

* added .idea to gitignore ([d6d8e65](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/d6d8e65b9642ff788dd4090cb0a6ceac006b8649))
* proper ensure connection is released on fail connection ([9f4b03b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/9f4b03ba14b46000cf0fdc093b471e8c6ca7118e))
* release dcs client on failed connection ([0d68f44](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/0d68f44a4529c2ab63847636a682a229f38b4f4f))

## 1.0.0 (2023-06-06)


### Features

* add caller source when responding to tag request ([5c602fd](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/5c602fdd38fdc6ca46b9ad45a17990700166b1e7))
* add caller source when responding to tag request ([f2995de](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/f2995dedd58f932a83390b548226cc60f6dbb8d4))
* add ping and force reset routes ([fc3955b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/fc3955b3e38042e9e0aee0b4dd875ee026c8b9d6))
* add ping and force reset routes ([6de1eb2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/6de1eb2ba8d7aa7e3c7784af33aacde742e0be3f))
* add retry count ([2fdc917](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/2fdc917e491616adc85b3e50d1cc207ff266e4e3))


### Bug Fixes

* added .idea to gitignore ([d6d8e65](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/d6d8e65b9642ff788dd4090cb0a6ceac006b8649))
* proper ensure connection is released on fail connection ([9f4b03b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/9f4b03ba14b46000cf0fdc093b471e8c6ca7118e))
* release dcs client on failed connection ([0d68f44](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/0d68f44a4529c2ab63847636a682a229f38b4f4f))

## 1.0.0 (2023-06-06)


### Features

* add caller source when responding to tag request ([5c602fd](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/5c602fdd38fdc6ca46b9ad45a17990700166b1e7))
* add caller source when responding to tag request ([f2995de](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/f2995dedd58f932a83390b548226cc60f6dbb8d4))
* add ping and force reset routes ([fc3955b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/fc3955b3e38042e9e0aee0b4dd875ee026c8b9d6))
* add ping and force reset routes ([6de1eb2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/6de1eb2ba8d7aa7e3c7784af33aacde742e0be3f))
* add retry count ([2fdc917](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/2fdc917e491616adc85b3e50d1cc207ff266e4e3))


### Bug Fixes

* added .idea to gitignore ([d6d8e65](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/d6d8e65b9642ff788dd4090cb0a6ceac006b8649))
* proper ensure connection is released on fail connection ([9f4b03b](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/9f4b03ba14b46000cf0fdc093b471e8c6ca7118e))
* release dcs client on failed connection ([0d68f44](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Link/commit/0d68f44a4529c2ab63847636a682a229f38b4f4f))

## [1.0.0](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/compare/v0.1.6-pre.0...v1.0.0) (2023-05-31)

### [0.1.6-pre.0](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/compare/v0.1.1-pre.2...v0.1.6-pre.0) (2023-05-31)


### Features

* add caller source when responding to tag request ([5c602fd](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/commit/5c602fdd38fdc6ca46b9ad45a17990700166b1e7))
* add caller source when responding to tag request ([f2995de](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/commit/f2995dedd58f932a83390b548226cc60f6dbb8d4))
* add ping and force reset routes ([fc3955b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/commit/fc3955b3e38042e9e0aee0b4dd875ee026c8b9d6))
* add ping and force reset routes ([6de1eb2](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/commit/6de1eb2ba8d7aa7e3c7784af33aacde742e0be3f))


### Bug Fixes

* proper ensure connection is released on fail connection ([9f4b03b](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/commit/9f4b03ba14b46000cf0fdc093b471e8c6ca7118e))
* release dcs client on failed connection ([0d68f44](https://ssh.dev.azure.com/v3/ITRxSolutions/Satisloh-MES/Rx-Link/commit/0d68f44a4529c2ab63847636a682a229f38b4f4f))

### [0.1.5](https://git.satisloh.dev/rx-suite/modules/optional/link/compare/v0.1.4...v0.1.5) (2023-04-05)


### Bug Fixes

* proper ensure connection is released on fail connection ([9f4b03b](https://git.satisloh.dev/rx-suite/modules/optional/link/commit/9f4b03ba14b46000cf0fdc093b471e8c6ca7118e))
* release dcs client on failed connection ([0d68f44](https://git.satisloh.dev/rx-suite/modules/optional/link/commit/0d68f44a4529c2ab63847636a682a229f38b4f4f))

### [0.1.4](https://git.satisloh.dev/rx-suite/modules/optional/link/compare/v0.1.3...v0.1.4) (2023-03-22)

### [0.1.3](https://git.satisloh.dev/rx-suite/modules/optional/link/compare/v0.1.2...v0.1.3) (2023-03-22)

### [0.1.2](https://git.satisloh.dev/rx-suite/modules/optional/link/compare/v0.1.1...v0.1.2) (2023-03-22)

### 0.1.1 (2023-03-22)


### Features

* add caller source when responding to tag request ([5c602fd](https://git.satisloh.dev/rx-suite/modules/optional/link/commit/5c602fdd38fdc6ca46b9ad45a17990700166b1e7))
* add caller source when responding to tag request ([f2995de](https://git.satisloh.dev/rx-suite/modules/optional/link/commit/f2995dedd58f932a83390b548226cc60f6dbb8d4))
* add ping and force reset routes ([fc3955b](https://git.satisloh.dev/rx-suite/modules/optional/link/commit/fc3955b3e38042e9e0aee0b4dd875ee026c8b9d6))
* add ping and force reset routes ([6de1eb2](https://git.satisloh.dev/rx-suite/modules/optional/link/commit/6de1eb2ba8d7aa7e3c7784af33aacde742e0be3f))
* add retry count ([2fdc917](https://git.satisloh.dev/rx-suite/modules/optional/link/commit/2fdc917e491616adc85b3e50d1cc207ff266e4e3))
