RxModule.configure do |config|
  package_data = JSON.parse(File.read(Rails.root.join("package.json")), create_additions: false, symbolize_names: true)

  config.module_id = package_data[:name]
  config.module_name = "Rx-Link"
  config.rx_hub_url = ENV["RX_HUB_URL"]
  config.module_description = "Connect Rx-Suite modules to external systems."
  config.module_icon = Rails.root.join("public", "icon.svg")
  config.module_logo = Rails.root.join("public", "rx-link-logo.png")
  config.mes_logo = Rails.root.join("public", "mes-logo.png")
  config.mes_lite_logo = Rails.root.join("public/img/mes_lite", "MES-Lite_logo_white.png")
  config.module_version = package_data[:version]
  config.audit = false
end
