class CreateDcsConfigs < ActiveRecord::Migration[6.0]
  def change
    create_table :dcs_configs do |t|
      t.string :name, null: false
      t.string :description, null: false
      t.string :ip, null: false
      t.integer :port, null: false
      t.string :device_type, null: false
      t.integer :retry_on_fail_connection, null: false
      t.integer :connection_timeout, null: false
      t.integer :max_open_connections
      t.integer :delay_on_socket_open
      t.boolean :hold_connection_open, :default => true
      t.boolean :keep_call_trace, :default => true
    end
  end
end
