class CleanupTraces < RxModule::Routine
  class << self
    def frequency
      '5m'
    end

    def work
      keep_record_count = Setting.instance.max_dcs_trace_count
      DcsConfig.find_each do |config|
        base = DcsTrace.where(dcs_config_id: config.id).order(created_at: :asc)
        delete_count = base.count - keep_record_count
        base.limit(delete_count).destroy_all unless delete_count < 1
      end
    end
  end
end

