class CreateDcsTrace < ActiveRecord::Migration[6.0]
  def change
    create_table :dcs_traces do |t|
      t.belongs_to :dcs_config, null: false, foreign_key: {on_delete: :cascade}
      t.string :job_number, null: false
      t.text :raw_data
      t.text :parsed_data
      t.text :last_error
      t.timestamps
    end
  end
end
