class CreateMachineConfigs < ActiveRecord::Migration[6.0]
  def change
    create_table :machine_configs do |t|
      t.integer :rx_data_machine_id
      t.string :ip_address
      t.boolean :keep_call_trace, default: false, null: false

      t.belongs_to :dcs2rest_config, foreign_key: {on_delete: :cascade}, null: false
    end
  end
end
